### Function

# Vips Foreign is_a_buffer

#### Declaration [src]

    gboolean
    vips_foreign_is_a_buffer (
      const char* loader,
      void* data,
      size_t size
    )

#### Description [src]

Return `TRUE` if `data` can be loaded by `loader`. `loader` is something like “tiffload_buffer” or “VipsForeignLoadTiffBuffer”.

#### Parameters

`loader`

  Type: `const char*`

  Name of loader to use for test.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: An array of `guint8`

  Pointer to the buffer to test.

  The length of the array is specified in the `size` argument.
  The data is owned by the caller of the function.

`size`

  Type: `size_t`

  Size of the buffer to test.

#### Return value

Type: `gboolean`

`TRUE` if `data` can be loaded by `loader`.